Jump to content
Sign in to follow this  
Grebo Fright

Oculus Rift DK2 Support

Recommended Posts

I tried numerous ways but the only solution I have found is to switch back and forth between HMD and regular mode to update the display.  I hope this gets fixed soon as it is tedious to deal with.

 

For anyone needing a GPU_table.txt, here's one that works on my GTX 970: http://pastebin.com/LL5mqsPx

Share this post


Link to post
Share on other sites

I have a brand new Alienware 17 laptop.  It has an Nvidia 880M graphics card, 16GB of RAM, an intel Core i5 processor (@ 2.6GHz), but when I try to go into HMD Mode in the Second Life Project OculusRift viewer, I get the following error:  "Cannot enter HMD mode because your graphics card does not support the minimum requirements.  Vertext Shaders and Vertex Buffer Objects are required for proper rendering in HMD mode."  I have added "NVIDIA GTX 980 .*NVIDIA .*GTX *98.* 3 1" to the end of my gpu_table.txt file (and even "NVIDIA GTX 880 .*NVIDIA .*GTX *98.* 3 1" to match the model number of my GPU), but I still get that message.  Does anyone have any suggestions?

 

Share this post


Link to post
Share on other sites

Pamagajo, had the same issue...open the gpu table (I used the SublimeText editor, it keeps line breaks in one piece), go down to line 451, youll see one for NVIDIA GTX 780M.  Copy that whole line, paste a copy on the next two lines, and add entries for the 880M and 980M.

 

Lines will look something like the following:

NVIDIA GTX 880M   .*NVIDIA  .*GTX *88[0-9]M.*   5 1 0 4.3

NVIDIA GTX 980M   .*NVIDIA  .*GTX *98[0-9]M.*   5 1 0 4.3

 

Next time you start the viewer, it should notify you that your graphics card changed from the GEForce Lulz (or something like that.)

Share this post


Link to post
Share on other sites

Have tried numerous times to add the relevant GTX 980 line suggested on this thread to the gpu_table.txt file using notepad and Sublime Text 2 editor to no avail. 

Could somebody please post a working gpu_table.txt file that has worked with a GTX 980 to put me out of my misery?

Very frustrating having such a great card but not been able to use it in SL as it was working quite nicely on my old GTS 540 dual SLI setup I had earlier but just at a crumy frame rate. 

Os

Share this post


Link to post
Share on other sites

Same error "Cannot enter HMD mode because your graphics card does not support the minimum requirements"

I had the RIFT working fine in SL and HL on one PC. I moved it to another PC, and as far as I remember it worked fine. Now a week later I get the message " "Cannot enter HMD mode because your graphics card does not support the minimum"

 

My NVidea 7900GS is getting a little old, but as far as I know it supports these functions, and worked fine for a while, and still works for HL.

 

Any ideas?

Share this post


Link to post
Share on other sites

I am also having this very exact same problem. Can some please help us fix this.

 

I even tried inserting "NVIDIA GTX 98x                        .*NVIDIA .*GTX *98.*                                5 1 0 4.3" into the "gpu_table2.txt" file  as suggested by http://www.reddit.com/r/oculus/comments/2j6gmm/new_second_life_official_viewer_w_dk2_support/ 
 
Even this did not work. Maybe you could attach a "gpu_table2.txt" file that actually will work with my GTX 980. I see no reason why I should not be able to get this working.

 

Share this post


Link to post
Share on other sites

If you have a gtx 970 or 980. go to gpu_table.txt in your SecondLifeProjectOculusRift Folder and select all. Copy and paste this to the text doc and save.

http://pastebin.com/gxDypeu4

 

If you don't have permission just make a new text doc, name it gpu_table.txt copy and paste. move and replace the old gpu_table.txt.

Share this post


Link to post
Share on other sites

Hello, first time posting here

 

I have tried every gpu_table posted here and it's still saying the same thing (the not supported). I'm not sure what graphics card I have, or why it's doing it? Is there a way to tell what graphics card you have? I'm pretty computer-dumb. I just use the graphics card that came with my computer...

 

I really wanna get it to work! 

 

If it helps, I'm using the project oculus viewer. I know firestorm best but they said to download the special one.

 

Any help is super appreciated!

Share this post


Link to post
Share on other sites

Second Life shouldn't require a $350-$450 graphics card to present VR!  I'm using a new GTX 960 on a robust system, but it fails to run (even with the updated text file.)  Everything else works fine with the hardware.

Share this post


Link to post
Share on other sites

Guys dont use the project oculus viewer. If it actually works for you, good. But if it doesnt, its more trouble than it's worth. I tried hours to get my oculus to work with project oculus to no avail, then I tried the CtrlAltStudio viewer and it instantly worked, I just needed to do a few tweaks to get my oculus to view sl correctly. Only downside is u cant see any of the ui like the top menu ect. Only way to access specific menus are shortcuts. Ctrl G brings up chat, Ctrl M - map, and so on. Read on the viewer website to set it up. Sl works pretty good with it, except in laggy, populated areas, it will stutter and can can cause nausea... I tested it in london city and got some bad stutter, even at 84 draw distance

Share this post


Link to post
Share on other sites

I have been trying to get support for my new laptop rig w gtx 970m gpu's and an I7 5700 from occulus which btw has no phone support and they are pretty hopeless. Eventually iwas told they do not support my setup because my nvidia chip was too powerful or some such and in general they do not support laptops!!! Not what i remember on their site. Buyers beware. 

Occulus is not a user friendly company at all and are not setup to support sl from their perspective. I would definitely wait before getting one. Their device only works on very few machines!

Share this post


Link to post
Share on other sites

Well, the DK2 is technically still a prototype (and made for developers which could explain the complexity). I'm sure the consumer version will have a lot more compatibility and be more user friendly, hopefully.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...